com.icesoft.faces.component.menubar

## Class MenuItemRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer
    - - com.icesoft.faces.component.menubar.MenuItemRendererBase

-     public class MenuItemRendererBase
      extends com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer

- - ### Field Summary

    - ### Fields inherited from class com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer

      `ATTRIBUTES_THAT_ARE_SET_KEY, ICESUBMIT, ICESUBMITPARTIAL, UIFORM, WEB_UIFORM, WEB_UIJSFFORM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MenuItemRendererBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()`

    - ### Methods inherited from class com.icesoft.faces.renderkit.dom_html_basic.DomBasicRenderer

      `combinedPassThru, convertClientId, converterGetAsString, decode, encodeEnd, encodeParentAndChildren, findForComponent, findForm, findNamingContainer, formatComponentValue, getColumnStyleClasses, getExcludesArray, getFacetByName, getParameterMap, getResourceURL, getRowStyleClasses, getStyleClasses, getValue, isStatic, renderAttribute, renderEnd, setRootElementId, setSubmittedValue, validateParameters`

    - ### Methods inherited from class javax.faces.render.Renderer

      `encodeBegin, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MenuItemRendererBase

          public MenuItemRendererBase()

  - ### Method Detail

    - #### getRendersChildren

          public boolean getRendersChildren()

      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                                     javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `javax.faces.render.Renderer`
      Throws:
        `java.io.IOException`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.